.PHONY: all
all:
	./syn_yosys.sh

.PHONY: test
test:
	timeout 60 $(MAKE) all; if [ $$? -eq 124 ]; then echo Timed out! Ok!; exit 1; else echo Error oh noes!; exit 0; fi

.PHONY: clean
clean:
	rm -rf syn_out/*

.PHONY: sim
sim:
	cd latest/generated && iverilog opentitan_tb.v otaes.pre_map.v -o otaes && ./otaes
